#
# spec file for package BASS (Version 20030801)
#
# Copyright (c) 2004 SUSE LINUX AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# neededforbuild  unzip update-desktop-files

BuildRequires: aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv less libacl libattr libgcc libselinux libstdc++ libxcrypt m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch permissions popt procinfo procps psmisc pwdutils rcs readline sed strace syslogd sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel autoconf automake binutils gcc gdbm gettext libtool perl rpm update-desktop-files

Name:         BASS
URL:          http://www.scummvm.org/downloads.php
License:      Other License(s), see package
Group:        Amusements/Games/Other
Requires:     scummvm timidity
Autoreqprov:  on
Version:      20041104
Release:      138
Summary:      Beneath a Steel Sky (Adventure Game)
Source:       BASS-Floppy.zip
Source1:      BASS
Source2:      %name.desktop
Source3:      info
Source4:      %name.png
BuildRoot:    %{_tmppath}/%{name}-%{version}-build

%description
Beneath a Steel Sky is a 2D, point-and-click science fiction thriller
set in a bleak future. It was originally published for DOS and the
Amiga. You are Robert Foster, an innocent outsider stranded in a vast
city where oppressed civilians live and work in soaring tower blocks
while the corrupt, covetous, and rich live underground, safe from all
pollution. Alone, save for a robot circuit board, Foster must fight for
survival - and discover the sinister truth behind both his own past and
the city he has found himself trapped in.



Authors:
--------
    Revolution Software: http://revolution.co.uk/
    Tony Warriner (Revolution)
    David Sykes (Revolution)
    Dave Cummins (Revolution)
    Dave Gibbons (Revolution)
    Robert Goeffringmann (ScummVM)
    Oliver Kiehl (ScummVM)
    Joost Peters (ScummVM)
    Ludvig Strigeus (ScummVM)
    Max Horn (ScummVM)

%prep
unzip $RPM_SOURCE_DIR/BASS-Floppy.zip

%build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/games
mkdir -p $RPM_BUILD_ROOT/usr/share/games/BASS
mkdir -p $RPM_BUILD_ROOT/usr/share/doc/packages/BASS
install -m 644 sky-floppy/sky.dnr $RPM_BUILD_ROOT/usr/share/games/BASS
install -m 644 sky-floppy/sky.dsk $RPM_BUILD_ROOT/usr/share/games/BASS
install -m 644 $RPM_SOURCE_DIR/info $RPM_BUILD_ROOT/usr/share/games/BASS
install -m 644 sky-floppy/readme.txt $RPM_BUILD_ROOT/usr/share/doc/packages/BASS
install -m 755 $RPM_SOURCE_DIR/BASS $RPM_BUILD_ROOT/usr/games
mkdir -p $RPM_BUILD_ROOT/usr/share/pixmaps/
install -m 644 $RPM_SOURCE_DIR/%name.png $RPM_BUILD_ROOT/usr/share/pixmaps
%suse_update_desktop_file -i %name Game X-SuSE-AdventureGame

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc /usr/share/doc/packages/BASS/
/usr/games/BASS
/usr/share/games/BASS/
/usr/share/applications/%name.desktop
/usr/share/pixmaps/%name.png

%changelog -n BASS
* Thu Nov 04 2004 0 jpn25@eng.cam.ac.uk
- Changed sky-floppy/sky.dnr and  sky-floppy/sky.dsk for CDROM versions
* Fri Sep 12 2003 - sndirsch@suse.de
- use "Try MIDI" instead of "MIDI" for second button name when
  choosing music support as in most cases it falls back to Adlib
  anyway ...
* Sat Aug 30 2003 - sndirsch@suse.de
- added icon entry in desktop file (was missing)
* Fri Aug 29 2003 - sndirsch@suse.de
- added desktop icon
* Wed Aug 27 2003 - tiwai@suse.de
- improved the detection of timidity port.
* Tue Aug 26 2003 - tiwai@suse.de
- improved detection of wavetable synth devices.
  don't try to start timidity if no enough PCM streams are left.
  fallback in adlib mode.
* Sat Aug 16 2003 - sndirsch@suse.de
- fixed BASS start script:
  * only use SBLive builtin MIDI support, if soundfonts are
  installed
* Sat Aug 16 2003 - sndirsch@suse.de
- improved BASS start script:
  * let the user choose to use MIDI instead of Adlib emulation for
  music; SBLive users will get very happy - for others timidity
  is used
* Wed Aug 13 2003 - sndirsch@suse.de
- improved BASS start script:
  * start BASS directly (skipping scummvm menu)
  * information window how to enable Game Menu (F5) before game
  is started
* Mon Aug 11 2003 - sndirsch@suse.de
- fixed category of desktop file
* Sun Aug 10 2003 - sndirsch@suse.de
- added desktop file
* Wed Aug 06 2003 - sndirsch@suse.de
- start script:
  * better locale handling
  * use gb instead of us english as default language (builtin game
  default as well)
* Sun Aug 03 2003 - sndirsch@suse.de
- enabled fullscreen and 'advmame2x' graphics filtering
* Sun Aug 03 2003 - sndirsch@suse.de
- created package
